> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# TSP Sign Hash Session Information

`POST /restapi/{apiVersion}/signature/signhashsessioninfo`

This method provides signing session information for a Trust Service Provider (TSP). This method is used by TSPs to sign documents hashes.

## Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

| Name                        | Type   | Description                                                                                                                     |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| Authentication              | String | Required. See [Authentication](/docs/tsp-api/tsp101/tsp-authentication)                                                         |
| Content-Type                | String | Required. Specifies the type of data returned in the request body. This parameter must be set to `application/json`.            |
| X-Docusign-CorrelationToken | GUID   | Optional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls. |

## Request Body Parameters

This table provides descriptions of the information in the request body.

| Name                   | Description                                                                                                                                                                                                                                                                                      |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| certificate            | Optional. Base 64 string representing the x509 certificate used to sign.                                                                                                                                                                                                                         |
| SignatureManifestation | Optional. Specifies an image file and size for representing the signature.  Note: this parameter is only supported by version 2.1 of the eSignature REST API. It also requires additional configuration at the account level. Please, contact your account administrator to enable this feature. |
| signatureImage         | Optional. Base 64 string representing the image associated with the signature.                                                                                                                                                                                                                   |
| width                  | Optional. Image width in points. If you set a width value, you must also specify a height.                                                                                                                                                                                                       |
| height                 | Optional. Image height in points. If you set a height value, you must also specify a width.                                                                                                                                                                                                      |

## Response Information

If successful, this returns signHashSessionInfoResponse. The table below provides descriptions of the information in the response.

| Name                          | Description                                                                                                |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------- |
| redirectionUrl                | String holding the URL the user is redirected to after signing completion.                                 |
| remainingSignatureRequests    | String holding the number of signature requests remaining, for documents that require multiple signatures. |
| documents                     | An array of documents                                                                                      |
| documents.documentId          | String identifier for the document that must be returned in subsequent requests.                           |
| documents.name                | The string name of the document being signed.                                                              |
| documents.data                | String holding the hash stream or ASN1Set SignedAttributes to be signed.                                   |
| documents.remainingSignatures | String holding the number of remaining signatures that need to be applied to this document.                |

**`Request body layout`**

```json title="Request body layout"
{
  "certificate": "base 64 string",
  "SignatureManifestation": {
    "signatureImage": "base64 string",
    "width": "integer",
    "height": "integer"
  }
}
```

**`Response layout`**

```json title="Response layout"
{
  "redirectionUrl": "string",
  "documents": [
    {
      "name": "string",
      "documentId": "string",
      "data": "base 64 string",
      "remainingSignatures": "string"
    }
  ],
  "remainingSignatureRequests": "string"
}
```